# $Revision: 1.12 $, $Date: 2004/12/27 14:14:05 $
%define		zope_subname	CMFVisualEditor
Summary:	A Zope product, a skin for Plone using the DHTML Editing Control
Summary(pl):	Dodatek do Zope umoliwiajcy wizualn edycj DHTML dla Plone
Name:		Zope-%{zope_subname}
Version:	0.2
Release:	9
License:	GPL v2+
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/collective/%{zope_subname}-%{version}.tar.gz
# Source0-md5:	c4dedabced3f11af450e6750e7201f8a
URL:		http://sourceforge.net/projects/collective/
%pyrequires_eq	python-modules
Requires:	Zope-CMF
Requires:	Zope-CMFPlone
Requires:	Zope
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	CMF
Conflicts:	Plone

%description
CMFVisualEditor is a Zope product, a skin for Plone that makes use of
the DHTML Editing Control.

%description -l pl
CMFVisualEditor jest dodatkiem do Zope umoliwiajcym wizualn edycj
DHTML dla Plone.

%prep
%setup -q -n %{zope_subname}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

cp -af {Extensions,i18n,skins,*.py,version.txt} $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

# find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/installzopeproduct %{_datadir}/%{name} %{zope_subname}
if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/installzopeproduct -d %{zope_subname}
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README.txt
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-CMFVisualEditor.spec,v $
Revision 1.12  2004/12/27 14:14:05  saq
- release 9 for rebuild with python 2.4

Revision 1.11  2004/10/30 11:59:12  paladine
- spaces->tabs

Revision 1.10  2004/08/10 19:34:36  ciesiel
- up rel. for build

Revision 1.9  2004/07/28 08:03:21  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2003/12/03 18:08:18  ciesiel
- removed Licenses*

Revision 1.7  2003/12/03 16:55:02  ciesiel
- added missing file

Revision 1.6  2003/11/17 11:02:14  ciesiel
- install into new dir (datadir)
- installzopeproduct
- cleaning

Revision 1.5  2003/11/16 13:21:57  ciesiel
- changed some obsoletes to conflicts

Revision 1.4  2003/11/15 22:48:28  ciesiel
- added obsoletes

Revision 1.3  2003/11/15 15:31:01  ciesiel
- changed req.

Revision 1.2  2003/10/07 10:15:05  qboosh
- fixed License, cleanups/simplifications

Revision 1.1  2003/09/27 17:38:52  ciesiel
- changed name after typo
- .py needed by packages

Revision 1.2  2003/08/22 14:09:34  qboosh
- cleanups

Revision 1.1  2003/08/02 19:50:10  ciesiel
- initial release
